<template>
  <div>
    <div className="user">
        <button @click="deleteUser(index)">delete</button>
      <h3>{{ user.name }}</h3>
      <p>
        {{ user.email }}- <b>{{ user.pass }}</b>
      </p>
    </div>
  </div>
</template>

<script>
export default {
    props:{
        user:{
            type: Object,
            required:true
    
        },
        index:{
            type:Number,
            required:true
        },
        deleteUser:{
            type:Function,
            required:true
        }
    }
};
</script>

<style scoped>
button{
    border: 0;
    border-radius: 5px;
    outline: none;
    padding: 10px 15px;
    background: rgb(218, 116, 116);
    color: brown;
    font-weight: bold;
    cursor: pointer;
    transition: tranasform 500ms ease;
    float: right;
}

button:hover{
    transform: translate(-5p);
}

</style>
